DASException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.das.dasalignment.DASException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.das.dasalignment
Class DASException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.program.das.dasalignment.DASException

All Implemented Interfaces:
  Serializable

    public class DASException

extends BioException

An exception of one of the DAS classes.

Author:
  Andreas Prlic, Thomas Down, Benjamin Schuster-Böckler
See Also:
  Serialized Form

Constructor Summary
`DASException(String s)` Constructs a DASException object.
`DASException(Throwable t)` Constructs a DASException object.
`DASException(Throwable t, String s)` Constructs a DASException object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DASException

    public DASException(String s)

  Constructs a DASException object.

  Parameters:
    `s` - a String ...

### DASException

    public DASException(Throwable t,
                        String s)

  Constructs a DASException object.

  Parameters:
    `t` - a Throwable object
    `s` - a String ...

### DASException

    public DASException(Throwable t)

  Constructs a DASException object.

  Parameters:
    `t` - a Throwable object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD